Package com.enonic.xp.security.acl

## Class IdProviderAccessControlList

- java.lang.Object
- - com.enonic.xp.security.acl.IdProviderAccessControlList

- All Implemented Interfaces:
    `Iterable<IdProviderAccessControlEntry>`

      @PublicApi
      public final class IdProviderAccessControlList
      extends Object
      implements Iterable<IdProviderAccessControlEntry>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IdProviderAccessControlList.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `contains​(PrincipalKey principalKey)` |
    `static IdProviderAccessControlList.Builder` | `create()` |
    `static IdProviderAccessControlList.Builder` | `create​(IdProviderAccessControlList acl)` |
    `static IdProviderAccessControlList` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `PrincipalKeys` | `getAllPrincipals()` |
    `IdProviderAccessControlEntry` | `getEntry​(PrincipalKey principalKey)` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Iterator<IdProviderAccessControlEntry>` | `iterator()` |
    `static IdProviderAccessControlList` | `of​(IdProviderAccessControlEntry... entries)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static IdProviderAccessControlList empty()

    - #### of

          public static IdProviderAccessControlList of​(IdProviderAccessControlEntry... entries)

    - #### contains

          public boolean contains​(PrincipalKey principalKey)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static IdProviderAccessControlList.Builder create​(IdProviderAccessControlList acl)

    - #### getAllPrincipals

          public PrincipalKeys getAllPrincipals()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getEntry

          public IdProviderAccessControlEntry getEntry​(PrincipalKey principalKey)

    - #### iterator

          public Iterator<IdProviderAccessControlEntry> iterator()

      Specified by:
        `iterator` in interface `Iterable<IdProviderAccessControlEntry>`

    - #### create

          public static IdProviderAccessControlList.Builder create()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`